Skip to main content
`Ctrl`+`K`

# MatFDColoringSetType

Sets the approach for computing the finite difference parameter

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetType(MatFDColoring matfd, MatMFFDType type)

Collective

## Input Parameters

- matfd - the coloring context

- type - either `MATMFFD_WP` or `MATMFFD_DS`

## Options Database Key

- -mat_fd_type - “wp” or “ds”

## Note

It is goofy that the argument type is `MatMFFDType` since the `MatFDColoring` actually computes the matrix entries but the process of computing the entries is the same as with the `MATMFFD` operation so we should reuse the names instead of introducing another one.

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`, `MatFDColoringView()`, `MatFDColoringSetParameters()`

## Level

intermediate

## Location

src/mat/matfd/fdmatrix.c

## Examples

src/snes/tutorials/ex14.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages